/* -*- Mode: C; tab-width: 4; c-basic-offset: 4; indent-tabs-mode: nil -*- */
/*
 * gui-channel.h: GUIChannel definition and associated functions
 *
 * Copyright 2000, 2001 Ximian, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _GUI_CHANNEL_H
#define _GUI_CHANNEL_H

#include <config.h>
#include <glib.h>
#include <gnome.h>
#include <gtkhtml/gtkhtml.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

#include "libredcarpet.h"

typedef struct _GUIChannel GUIChannel;

#define GUICHANNEL(x) ((GUIChannel *) x)
#define RCCHANNEL(x)  ((RCChannel *)  x)

struct _GUIChannel {
    RCChannel rcchannel;

    gboolean subscribed;

    GByteArray *html_data;

    GdkPixbuf *icon_pb;

    RCPackageSList *available_updates;
    RCPackageSList *installed_packages;
    RCPackageSList *uninstalled_packages;
    RCPackageSList *older_packages;

    gboolean *checkboxes;
    gint num_checkboxes;
};

typedef GSList GUIChannelSList;

GUIChannel *rc_gui_channel_new (RCChannel *base_ch);
void rc_gui_channel_clear_data (GUIChannel *channel);
int rc_gui_channel_fetch_data(GUIChannel *channel);
void rc_gui_channel_fetch_all_data(void);
void rc_gui_channel_update_package_lists(GUIChannel *channel);
void rc_gui_channel_show(GUIChannel *channel);
void rc_gui_channel_subscribe(GUIChannel *channel);
void rc_gui_channel_unsubscribe(GUIChannel *channel);
void rc_gui_channel_select(GUIChannel *channel);
void rc_gui_channel_refresh_updates (void);

#endif /* _GUI_CHANNEL_H */
