/* -*- Mode: C; tab-width: 4; c-basic-offset: 4; indent-tabs-mode: nil -*- */
/*
 * gui-rdf.h: RDF Parser
 *
 * The actual RDF parsing code is taken from Alan Cox's Portaloo, glibified and
 * customized for Red Carpet.
 *
 * Copyright 2000, 2001 Ximian, Inc.
 * Copyright 1998 Alan Cox
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

/* Should this be in libredcarpet? */

#ifndef _GUI_RDF_H
#define _GUI_RDF_H

#include <gnome.h>
#include <gnome-xml/parser.h>

#undef RDF_DEBUG

typedef struct _RDFSummary RDFSummary;
typedef struct _RDFItem    RDFItem;

struct _RDFSummary {
    char *icon;
    char *title;
    char *location;
    int limit;

    GSList *items;
};

struct _RDFItem {
    char *title;
    char *location;
    char *icon;
    char *summary;
    char *channel;
    time_t date;
    char *datestr;
};

RDFSummary *rc_gui_rdf_parse(GByteArray *data);

#endif /* _GUI_RDF_H */
